# CancelInstanceDowngrade

## 1. API Description

This API (CancelInstanceDowngrade) is used to the API is used to cancel downgrade order of instance specification change.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">If a PREPAID virtual machine instance generates a downgrade order to take effect in the next billing cycle, you can call the API to cancel the following scheduling change:</mark>

<mark style="color:blue;">A downgrade scheduling change in specifications.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                        |
| -------------- | -------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| instanceId     | Yes      | String | <p>ID of the instance to be modified.</p><p>To obtain the instance ID, you can call DescribeInstances and look for instanceId in the response.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Cancel downgrade order of instance specification change.**

```javascript
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CancelInstanceDowngrade
<Common Request Params>

Request：
{
  "instanceId": "your-instance-id"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                               | Description                     |
| ---------------- | ---------------------------------------- | ------------------------------- |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND            | Instance does not exist.        |
| 403              | OPERATION\_DENIED\_DOWNGRADE\_NOT\_EXIST | Downgrade order does not exist. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/vm/virtual-machine-instance/cancelinstancedowngrade.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
